Index: gcc/config.build
===================================================================
--- gcc/config.build	(revision 226823)
+++ gcc/config.build	(working copy)
@@ -92,9 +92,6 @@ case $build in
     # Intel x86 on SCO UW/OSR5 Dev Kit
     build_install_headers_dir=install-headers-cpio
     ;;
-  i[34567]86-*-uwin*)
-    build_exeext=.exe
-    ;;
   i386-*-vsta) 
     # Intel 80386's running VSTa kernel
     ;;
Index: gcc/config.host
===================================================================
--- gcc/config.host	(revision 226823)
+++ gcc/config.host	(working copy)
@@ -252,11 +252,6 @@ case ${host} in
     out_host_hook_obj=host-mingw32.o
     host_lto_plugin_soname=liblto_plugin-0.dll
     ;;
-  i[34567]86-*-uwin*)
-    echo "*** UWIN may not be used as a host platform because"
-    echo "*** linking with posix.dll is not allowed by the GNU GPL."
-    exit 1
-    ;;
   i[34567]86-*-darwin* | x86_64-*-darwin*)
     out_host_hook_obj="${out_host_hook_obj} host-i386-darwin.o"
     host_xmake_file="${host_xmake_file} i386/x-darwin"
Index: gcc/configure.ac
===================================================================
--- gcc/configure.ac	(revision 226823)
+++ gcc/configure.ac	(working copy)
@@ -1795,7 +1795,7 @@ AS_HELP_STRING([--enable-win32-registry=
                 of the registry key])],,)
 
 case $host_os in
-  win32 | pe | cygwin* | mingw32* | uwin*)
+  win32 | pe | cygwin* | mingw32*)
     if test "x$enable_win32_registry" != xno; then
       AC_SEARCH_LIBS(RegOpenKeyExA, advapi32,, [enable_win32_registry=no])
     fi
@@ -2752,7 +2752,7 @@ gcc_GAS_CHECK_FEATURE([cfi sections dire
 	.cfi_startproc
 	.cfi_endproc],
 [case $target_os in
-  win32 | pe | cygwin* | mingw32* | uwin*)
+  win32 | pe | cygwin* | mingw32*)
     # Need to check that we generated the correct relocation for the
     # .debug_frame section.  This was fixed for binutils 2.21.
     gcc_cv_as_cfi_sections_directive=no
